PUT /api/v3/dashboard/{dashboardId}/share

Update the shared users and user groups for a dashboard To remove sharing completely set SharedWithEveryone to false, SharedUserIds to [], and SharedUserGroupIds to [] You must have created the dashboard and have SharedDashboardsOrMaps Create permission or have DashboardAdministrator Manage permission and the dashboard must be shared at all or have DashboardAdministrator Manage permission and the dashboard is public

EditDashboardShareV3

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
dashboardId Dashboard Identifier integer (int32) Required

Request Body

ShareRequest
Property Description Type
sharedUserGroupIds The list of user group ids an item should be shared with Should be an empty list [], when SharedWithEveryone is true Required integer[]
sharedUserIds The list of individual user ids an item should be shared with Should be an empty list [], when SharedWithEveryone is true Required integer[]
sharedWithEveryone Set to True to share the item everyone When true, SharedUsers and SharedUserGroups should be set to empty lists [] Required boolean
Example Request Body application/json
{  "sharedUserGroupIds": [
    1
  ],  "sharedUserIds": [
    1
  ],  "sharedWithEveryone": false
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

ShareResponse
Property Description Type
sharedUserGroups The list of user groups an item has been assigned to be shared with UserGroupChild[]
UserGroupChild properties
Property Description Type
userGroupId The user group identifier integer (int32)
userGroupName The user group name string
sharedUsers The list of individual users an item has been assigned to be shared with This does NOT take into account users that are in a shared user group UserChild[]
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
sharedWithEveryone True if the item is shared with everyone boolean
Example Response application/json
{  "sharedUserGroups": [
    {    "userGroupId": 1,    "userGroupName": "string"
  }
  ],  "sharedUsers": [
    {    "fullName": "string",    "userCode": "string",    "userId": 1
  }
  ],  "sharedWithEveryone": false
}